<?php

namespace common\logic\Product\ProductCategory\Service;

use common\logic\AbstractBuilder;
use common\logic\Product\ProductCategory\Model\ProductCategory;

class ProductCategoryBuilder extends AbstractBuilder
{
    public function instanciateProductCategory(): ProductCategory
    {
        $productCategory = new ProductCategory();

        return $productCategory;
    }

    public function createProductCategory(): ProductCategory
    {
        $productCategory = $this->instanciateProductCategory();
        $this->saveCreate($productCategory);

        return $productCategory;
    }
}